datacache <- new.env(hash=TRUE, parent=emptyenv())

htmg430pmmmrefseq <- function() showQCData("htmg430pmmmrefseq", datacache)
htmg430pmmmrefseq_dbconn <- function() dbconn(datacache)
htmg430pmmmrefseq_dbfile <- function() dbfile(datacache)
htmg430pmmmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
htmg430pmmmrefseq_dbInfo <- function() dbInfo(datacache)

htmg430pmmmrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "htmg430pmmmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "htmg430pmmmrefseq", "chip htmg430pmmmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(htmg430pmmmrefseq_dbconn())
}

